Bug 790849 - facter 1.6.5 breaks ec2 facts on el5
Summary: facter 1.6.5 breaks ec2 facts on el5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: facter
Version: el5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Todd Zullinger
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-15 14:36 UTC by Jeremy Katz
Modified: 2012-03-06 20:24 UTC (History)
4 users (show)

Fixed In Version: facter-1.6.5-4.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-06 07:05:40 UTC


Attachments (Terms of Use)

Description Jeremy Katz 2012-02-15 14:36:01 UTC
facter 1.6.5 regressed and broke the ec2 facts for el5.  

Patch sent upstream at https://github.com/puppetlabs/facter/pull/170

Comment 1 Todd Zullinger 2012-02-15 14:47:08 UTC
Thanks for the patch Jeremy.  I'll get this rolled out in the next day or so.  The last facter package added some deps that are not available on all supported architectures, so a package to fix that is needed as well.

Comment 2 Fedora Update System 2012-02-15 20:05:19 UTC
facter-1.6.5-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/facter-1.6.5-4.fc16

Comment 3 Fedora Update System 2012-02-15 20:05:29 UTC
facter-1.6.5-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/facter-1.6.5-4.fc17

Comment 4 Fedora Update System 2012-02-15 20:05:39 UTC
facter-1.6.5-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/facter-1.6.5-3.el5

Comment 5 Fedora Update System 2012-02-15 20:05:48 UTC
facter-1.6.5-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/facter-1.6.5-3.el6

Comment 6 Fedora Update System 2012-02-15 20:05:58 UTC
facter-1.6.5-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/facter-1.6.5-4.fc15

Comment 7 Fedora Update System 2012-02-16 01:56:15 UTC
Package facter-1.6.5-4.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing facter-1.6.5-4.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-1741/facter-1.6.5-4.fc17
then log in and leave karma (feedback).

Comment 8 Ken Barber 2012-02-17 14:47:29 UTC
FYI Jeremy Katz patch has been applied to upstream for version 1.6.6:

http://projects.puppetlabs.com/issues/12666

Comment 9 Fedora Update System 2012-03-06 07:05:40 UTC
facter-1.6.5-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2012-03-06 07:07:14 UTC
facter-1.6.5-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2012-03-06 19:34:27 UTC
facter-1.6.5-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2012-03-06 19:36:33 UTC
facter-1.6.5-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2012-03-06 20:24:00 UTC
facter-1.6.5-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.